Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.logReplayer
Class FilesystemLogReplayer

    java.lang.Object
      kieker.tools.logReplayer.AbstractLogReplayer
          kieker.tools.logReplayer.FilesystemLogReplayer

    public class FilesystemLogReplayer

extends AbstractLogReplayer

An implementation of the `AbstractLogReplayer`, using the `FSReader` to replay `IMonitoringRecord`s from a list of file system monitoring logs.

Since:
  0.95a
Author:
  Andre van Hoorn

Field Summary

Fields inherited from class kieker.tools.logReplayer.AbstractLogReplayer
`MAX_TIMESTAMP, MIN_TIMESTAMP`

Constructor Summary
`FilesystemLogReplayer(String monitoringConfigurationFile, boolean realtimeMode, double realtimeAccelerationFactor, boolean keepOriginalLoggingTimestamps, int numRealtimeWorkerThreads, long ignoreRecordsBeforeTimestamp, long ignoreRecordsAfterTimestamp, String[] inputDirs)` Creates a new instance of this class using the given parameters.

Method Summary

Methods inherited from class kieker.tools.logReplayer.AbstractLogReplayer
`replay`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilesystemLogReplayer

    public FilesystemLogReplayer(String monitoringConfigurationFile,
                                 boolean realtimeMode,
                                 double realtimeAccelerationFactor,
                                 boolean keepOriginalLoggingTimestamps,
                                 int numRealtimeWorkerThreads,
                                 long ignoreRecordsBeforeTimestamp,
                                 long ignoreRecordsAfterTimestamp,
                                 String[] inputDirs)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `monitoringConfigurationFile` - The name of the monitoring configuration file.
    `realtimeMode` - Whether realtime mode should be used.
    `realtimeAccelerationFactor` - Determines whether to accelerate (value > 1.0) or slow down (<1.0) the replay in realtime mode by the given factor. Choose a value of 1.0 for "real" realtime mode (i.e., no acceleration/slow down)
    `keepOriginalLoggingTimestamps` - Whether to keep the original logging timestamps or not.
    `numRealtimeWorkerThreads` - The number of realtime worker threads to be used.
    `ignoreRecordsBeforeTimestamp` - The lower limit for the timestamps.
    `ignoreRecordsAfterTimestamp` - The upper limit for the timestamps.
    `inputDirs` - The array containing the input directories.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net